{
  "name": "@push.rocks/smarthash",
  "version": "3.2.6",
  "private": false,
  "description": "Cross-environment hash functions (SHA256 and MD5) for Node.js and browsers, with support for strings, streams, and files.",
  "exports": {
    ".": "./dist_ts/index.js",
    "./web": "./dist_ts_web/index.js"
  },
  "scripts": {
    "test": "(tstest test/ --web)",
    "build": "(tsbuild tsfolders --allowimplicitany)",
    "buildDocs": "tsdoc"
  },
  "keywords": [
    "crypto",
    "hashing",
    "SHA256",
    "MD5",
    "security",
    "node.js",
    "browser",
    "cross-environment",
    "web crypto",
    "stream hashing",
    "file hashing",
    "synchronous hashing",
    "asynchronous hashing",
    "data integrity",
    "typescript"
  ],
  "author": "Lossless GmbH",
  "license": "MIT",
  "devDependencies": {
    "@git.zone/tsbuild": "^2.6.8",
    "@git.zone/tsrun": "^1.2.46",
    "@git.zone/tstest": "^2.3.8",
    "@types/node": "^20.6.3"
  },
  "dependencies": {
    "@push.rocks/smartenv": "^5.0.13",
    "@push.rocks/smartjson": "^5.2.0",
    "@push.rocks/smartpromise": "^4.0.3",
    "@types/through2": "^2.0.39",
    "through2": "^4.0.2"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ],
  "type": "module",
  "homepage": "https://code.foss.global/push.rocks/smarthash",
  "repository": {
    "type": "git",
    "url": "https://code.foss.global/push.rocks/smarthash.git"
  },
  "packageManager": "pnpm@10.11.0+sha512.6540583f41cc5f628eb3d9773ecee802f4f9ef9923cc45b69890fb47991d4b092964694ec3a4f738a420c918a333062c8b925d312f42e4f0c263eb603551f977"
}
